#
# spec file for package python-pytest-html
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-pytest-html
Version:        3.1.1
Release:        150000.3.3.1
Summary:        Pytest plugin for generating HTML reports
License:        MPL-2.0
URL:            https://github.com/pytest-dev/pytest-html
Source:         https://files.pythonhosted.org/packages/source/p/pytest-html/pytest-html-%{version}.tar.gz
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-ansi2html
Requires:       python-pytest >= 5.0
Requires:       python-pytest-metadata
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module ansi2html}
BuildRequires:  %{python_module pytest >= 5.0}
BuildRequires:  %{python_module pytest-metadata}
BuildRequires:  %{python_module pytest-mock}
BuildRequires:  %{python_module pytest-rerunfailures}
BuildRequires:  %{python_module pytest-xdist}
# /SECTION
%python_subpackages

%description
A plugin for pytest that generates a HTML report for test results.

%prep
%setup -q -n pytest-html-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF-8
%pytest

%files %{python_files}
%license LICENSE
%doc CHANGES.rst README.rst
%{python_sitelib}/pytest_html
%{python_sitelib}/pytest_html-%{version}*-info

%changelog
* Mon Mar 14 2022 adrian.glaubitz@suse.com
- Include in SLE-15 (bsc#1195916, bsc#1196696, jsc#PM-3356, jsc#SLE-23972)
* Mon Jan 18 2021 code@bnavigator.de
- Update to 3.1.1
  * Fix issue with reporting of missing CSS files. (#388)
    Thanks to @prakhargurunani for reporting and fixing!
- Changelog for 3.1.0
  * Stop attaching test reruns to final test report entries (#374)
    Thanks to @VladimirPodolyan for reporting and @gnikonorov for
    the fix
  * Allow for report duration formatting (#376)
    Thanks to @brettnolan for reporting and @gnikonorov for the fix
- Changelog for 3.0.0
  * Respect --capture=no, --show-capture=no, and -s pytest flags
    (#171) Thanks to @bigunyak for reporting and @gnikonorov for the
    fix
  * Make the Results table Links column sortable (#242)
    Thanks to @vashirov for reporting and @gnikonorov for the fix
  * Fix issue with missing image or video in extras. (#265 and
    pytest-selenium#237)
    Thanks to @p00j4 and @anothermattbrown for reporting and
    @christiansandberg and @superdodd and @dhalperi for the fix
  * Fix attribute name for compatibility with pytest-xdist 2. (#305)
    Thanks to @Zac-HD for the fix
  * Post process HTML generation to allow teardown to appear in the
    HTML output. (#131)
    Thanks to @iwanb for reporting and @csm10495 for the fix
* Mon Mar 23 2020 tchvatal@suse.com
- Update to 2.1.1:
  * Fix issue with funcargs causing failures. (#282)
* Mon Mar 16 2020 tchvatal@suse.com
- Update to 2.1.0:
  * Added support for MP4 video format. (#260)
  * Added support for sorting metadata by key. (#245)
  * Added support for rendering reports collapsed (#239)
  * Added extra fixture (#269)
  * Added ability to change report title using hook (#270)
* Tue Mar  3 2020 tchvatal@suse.com
- Raise minimal pytest version
* Wed Dec  4 2019 tchvatal@suse.com
- Update to 2.0.1:
  * Properly check for presence of CSS file
  * Added support for UTF-8 display
  * Fix initial sort on column
* Fri Sep 20 2019 tchvatal@suse.com
- Update to 2.0.0:
  * Drop support for python 2.7
* Sat Sep 14 2019 jayvdb@gmail.com
- Define LANG in %%check to fix openSUSE/SLE 15 builds
* Mon Aug 12 2019 tchvatal@suse.com
- Update to 1.22.0:
  * Refactor asset naming to be OS safe
* Tue Jul  2 2019 tchvatal@suse.com
- Update to 1.21.1:
  * Fix issue with assets filenames being too long.
  * Allow opening generated html report in browser (@ssbarnea)
  * Handle when report title is stored as an environment variable (@BeyondEvil)
  * Change assets naming method (@SunInJuly)
* Wed Feb 27 2019 tchvatal@suse.com
- Fix typo in the ansi2html Requires
* Thu Feb 14 2019 tchvatal@suse.com
- Update to 1.20.0:
  * Tests running with Pytest 4.0 and Python 3.7
  * Stop filtering out falsy environment values (#175)
  * Removed extraneous space from anchor tag (@chardbury)
  * Always define __version__ even if get_distribution() fails (@nicoddemus)
  * Refactor css config code (@crazymerlyn)
* Thu Nov 22 2018 tchvatal@suse.com
- Cleanup with spec-cleaner
- Make sure the tests are really executed
- Remove useless devel dependency
* Fri Nov 16 2018 adrian.glaubitz@suse.com
- Initial build
  + Version 1.19.0
